import { OnInit } from '@angular/core';
import * as moment from 'moment';
import { services } from 'typescript-angular-utilities';
import __date = services.date;
import { DateFilter } from './dateFilter.service';
export declare class DateFilterComponent<T> implements OnInit {
    filter: DateFilter<T>;
    label: string;
    showClear: boolean;
    useDateRange: boolean;
    useTime: boolean;
    count: number;
    private dateUtility;
    constructor(dateUtility: __date.DateUtility);
    setDate(date: moment.Moment): void;
    setCount(count: number): void;
    clear(): void;
    ngOnInit(): void;
}
